#
# Bash script an easy setup of NextcloudBackup.sh and NextcloudRestore.sh
#
-# Version 2.0.0
+# Version 2.3.2
#
# Usage:
# - call the setup.sh script
# However, you should always check the backup/restore scripts BEFORE executing these!
#
+# Make sure the script exits when any command fails
+set -Eeuo pipefail
+
#
# Pre defined variables
#
if [ $? -ne 0 ]; then
echo "Error calling OCC: Please check if the information provided was correct."
- echo "ABORTING!"
+ echo "ABORTING!"
echo "No file has been altered."
exit 1
fi
echo ""
# Backup main dir
-sed -i "s@^ backupMainDir.*@ backupMainDir='$backupMainDir'@" ./NextcloudBackup.sh
-sed -i "s@^ backupMainDir.*@ backupMainDir='$backupMainDir'@" ./NextcloudRestore.sh
+sed -i "s@^\tbackupMainDir='/media/hdd/nextcloud_backup'@\tbackupMainDir='$backupMainDir'@" ./NextcloudBackup.sh
+sed -i "s@^\tbackupMainDir='/media/hdd/nextcloud_backup'@\tbackupMainDir='$backupMainDir'@" ./NextcloudRestore.sh
# Nextcloud file dir
sed -i "s@^nextcloudFileDir.*@nextcloudFileDir='$nextcloudFileDir'@" ./NextcloudBackup.sh
echo ""
echo "IMPORTANT: Please check NextcloudBackup.sh and NextcloudRestore.sh if all variables were set correctly BEFORE running these scripts!"
echo ""
+echo "When using pigz compression, you also have to install pigz (e.g. for Debian/Ubuntu: apt install pigz)"
+echo ""
echo ""
\ No newline at end of file